import Vue from 'vue'
import App from './App.vue'
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import axios from "axios"
import Router from "vue-router"

Vue.use(Router)
Vue.config.productionTip = false
Vue.prototype.axios = axios
Vue.use(ElementUI);

const router = new Router({
  mode:"history",
  routes:[{
    path:"/login",
    component: () => import("./views/login.vue")
  },{
    path:"/index",
    component: () => import("./views/index.vue")
  }]
})

new Vue({
  render: h => h(App),
  router:router
}).$mount('#app')
